Name:           perl-Email-MIME-Modifier
Version:        1.444
Release:        1%{?dist}
Summary:        Modify Email::MIME Objects Easily

Group:          Development/Libraries
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/Email-MIME-Modifier/
Source0:        http://www.cpan.org/authors/id/R/RJ/RJBS/Email-MIME-Modifier-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  perl(Email::MessageID) >= 1.2
BuildRequires:  perl(Email::MIME) >= 1.82
BuildRequires:  perl(Email::MIME::Encodings) >= 1.3
BuildRequires:  perl(Email::MIME::ContentType) >= 1.011
BuildRequires:  perl(Email::Simple) >= 1.92
BuildRequires:  perl(Test::Pod) >= 1.14
BuildRequires:  perl(Test::Pod::Coverage) >= 1.08
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Provides a number of useful methods for manipulating MIME messages.
These method are declared in the "Email::MIME" namespace, and are used
with "Email::MIME" objects.


%prep
%setup -q -n Email-MIME-Modifier-%{version}

# Provides: filter perl(Email::MIME)
cat <<__EOF__ > %{name}-filterprovides
#!/bin/sh
%{__perl_provides} \$* | grep -v 'perl(Email::MIME)'
__EOF__
%define __perl_provides %{_builddir}/Email-MIME-Modifier-%{version}/%{name}-filterprovides
chmod +x %{__perl_provides}


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*


%check
make test


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/Email
%{_mandir}/man3/*.3pm*


%changelog
* Thu Aug  6 2009 Tom "spot" Callaway <tcallawa@redhat.com> - 1.444-1
- update to 1.444

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.443-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.443-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Feb 12 2009 Ralf Corsépius <corsepiu@fedoraproject.org> - 1.443-1
- Upstream update.
- Fix directory ownership.
- Remove hard-codes /usr/lib/rpm/perl.prov from provides filter.

* Wed Feb 27 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.442-3
- Rebuild for perl 5.10 (again)

* Mon Jan 28 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.442-2
- rebuild for new perl

* Wed Nov 28 2007 Tom "spot" Callaway <tcallawa@redhat.com> - 1.442-1
- bump to 1.442

* Fri Dec  1 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.441-1
- Update to 1.441.

* Sat Oct 14 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.440-1
- Update to 1.440.

* Fri Jul 14 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.43-1
- Update to 1.43.

* Thu Sep  8 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.42-2
- Filter the Email::MIME provide.

* Thu Sep 08 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.42-1
- First build.
